import { Categorization, Category, JsonFormsState, RankedTester, StatePropsOfLayout } from '@jsonforms/core';
import { NavController } from 'ionic-angular';
import { NgRedux } from '@angular-redux/store';
import { JsonFormsIonicLayout } from '../JsonFormsIonicLayout';
export declare class CategorizationLayoutRenderer extends JsonFormsIonicLayout {
    nav: NavController;
    categories: any[];
    label: string;
    stateProps: StatePropsOfLayout;
    constructor(ngRedux: NgRedux<JsonFormsState>);
    ngOnInit(): void;
    renderCategory(category: any): void;
    canGoBack(): boolean;
    goBack(): Promise<any>;
}
export declare const isCategorization: (category: Category | Categorization) => category is Categorization;
export declare const categorizationTester: RankedTester;
